XFuXMFormatSample class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# XFuXMFormatSample Class Reference

`#include <XFuXMPlayer_internal.h>`

List of all members.

## Public Attributes

UINT32 | mSampleLength
| Sample length.
UINT32 | mLoopStart
| Sample loop start.
UINT32 | mLoopLength
| Sample loop length.
UINT8 | mVolume
| Volume.
INT8 | mFinetune
UINT8 | mType
UINT8 | mPan
| Panning (0..255).
INT8 | mRelativeNote
| Relative note number (signed byte).
UINT8 | mReserved
| Reserved.
UINT8 | mSampleName [22+1]
| Sample name (+ extra byte for ).

## Member Data Documentation

INT8 XFuXMFormatSample::mFinetune

| Finetune (signed byte -128..+127). Sample type. Definition at line 169 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT32 XFuXMFormatSample::mLoopLength

| Sample loop length. Definition at line 167 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT32 XFuXMFormatSample::mLoopStart

| Sample loop start. Definition at line 166 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT8 XFuXMFormatSample::mPan

| Panning (0..255). Definition at line 179 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

INT8 XFuXMFormatSample::mRelativeNote

| Relative note number (signed byte). Definition at line 180 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT8 XFuXMFormatSample::mReserved

| Reserved. Definition at line 182 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT32 XFuXMFormatSample::mSampleLength

| Sample length. Definition at line 165 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT8 XFuXMFormatSample::mSampleName[22 + 1]

| Sample name (+ extra byte for ). Definition at line 184 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT8 XFuXMFormatSample::mType

Bit 0-1:

- 0 = No loop
- 1 = Forward loop
- 2 = Ping-pong loop
  Bit 4: 16-bit sample data

Definition at line 177 of file XFuXMPlayer_internal.h.

Referenced by XFuXMPlayer::loadXM().

UINT8 XFuXMFormatSample::mVolume

| Volume. Definition at line 168 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

The documentation for this class was generated from the following file:

- XFuXMPlayer_internal.h

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch